eccube

EC-CUBE2.13.0に決済モジュールをインストールする方法

EC-CUBE_管理機能

消費税増税に仕様を合わせたEC-CUBE2.13系が先月にリリースされましたが、決済モジュールがまだ対応していないようです
いつものごとく0版はベータ版に近い扱いだなーと思いつつそれでは困るので2.12系対応のモジュールを強引に入れます

対応はこれだけ

SC_Initial.phpのバージョンを書き換えれば大丈夫です

~~~
— a/data/class/SC_Initial.php
+++ b/data/class/SC_Initial.php
@@ -35,7 +35,7 @@ class SC_Initial
public function __construct()
{
/** EC-CUBEのバージョン */
– define(‘ECCUBE_VERSION’, ‘2.13.0’);
+ define(‘ECCUBE_VERSION’, ‘2.12.6’);
}

/**

~~~

EC-CUBE_管理機能-2

はい、これで設定が出来るようになりました
ただし、2.13系では消費税増税対応をしており、購入に関するロジックが修正されています
インストールは出来ても正しく動くかは保証できませんのでよくよくテストをしてから導入してください